namespace SHNDecrypt
{
    using System;
    using System.ComponentModel;
    using System.Drawing;
    using System.Windows.Forms;

    public class helpAbout : Form
    {
        private IContainer components;
        private Label label1;
        private Label label2;
        private Label label3;
        private Label label4;
        private Label label5;
        private TextBox textBox1;
        private TextBox textBox2;
        private TextBox textBox3;
        private TextBox textBox4;
        private TextBox txtSerial;
        private TextBox txtUsername;

        public helpAbout()
        {
            this.InitializeComponent();
        }

        private void About_Load(object sender, EventArgs e)
        {
            this.textBox2.Text = "\x00ae " + DateTime.Now.Year;
            this.textBox3.Text = Application.ProductVersion;
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing && (this.components != null))
            {
                this.components.Dispose();
            }
            base.Dispose(disposing);
        }

        private void InitializeComponent()
        {
            ComponentResourceManager manager = new ComponentResourceManager(typeof(helpAbout));
            this.label2 = new Label();
            this.label4 = new Label();
            this.txtUsername = new TextBox();
            this.txtSerial = new TextBox();
            this.textBox1 = new TextBox();
            this.textBox2 = new TextBox();
            this.label1 = new Label();
            this.textBox3 = new TextBox();
            this.label3 = new Label();
            this.textBox4 = new TextBox();
            this.label5 = new Label();
            base.SuspendLayout();
            this.label2.AutoSize = true;
            this.label2.Location = new Point(12, 15);
            this.label2.Name = "label2";
            this.label2.Size = new Size(0x3e, 13);
            this.label2.TabIndex = 3;
            this.label2.Text = "Created By:";
            this.label4.AutoSize = true;
            this.label4.Location = new Point(8, 0x29);
            this.label4.Name = "label4";
            this.label4.Size = new Size(0x42, 13);
            this.label4.TabIndex = 4;
            this.label4.Text = "Updated By:";
            this.txtUsername.Location = new Point(80, 12);
            this.txtUsername.Name = "txtUsername";
            this.txtUsername.ReadOnly = true;
            this.txtUsername.Size = new Size(0xde, 20);
            this.txtUsername.TabIndex = 5;
            this.txtUsername.TabStop = false;
            this.txtUsername.Text = "Csharp";
            this.txtSerial.Location = new Point(80, 0x26);
            this.txtSerial.Name = "txtSerial";
            this.txtSerial.ReadOnly = true;
            this.txtSerial.Size = new Size(0xde, 20);
            this.txtSerial.TabIndex = 6;
            this.txtSerial.TabStop = false;
            this.txtSerial.Text = "MrFarbodD";
            this.textBox1.Location = new Point(13, 0x90);
            this.textBox1.Multiline = true;
            this.textBox1.Name = "textBox1";
            this.textBox1.ReadOnly = true;
            this.textBox1.Size = new Size(290, 0x40);
            this.textBox1.TabIndex = 9;
            this.textBox1.TabStop = false;
            this.textBox1.Text = manager.GetString("textBox1.Text");
            this.textBox2.Location = new Point(80, 0x74);
            this.textBox2.Name = "textBox2";
            this.textBox2.ReadOnly = true;
            this.textBox2.Size = new Size(0xde, 20);
            this.textBox2.TabIndex = 11;
            this.textBox2.TabStop = false;
            this.label1.AutoSize = true;
            this.label1.Location = new Point(13, 0x77);
            this.label1.Name = "label1";
            this.label1.Size = new Size(0x3d, 13);
            this.label1.TabIndex = 10;
            this.label1.Text = "Registered:";
            this.textBox3.Location = new Point(0x51, 0x40);
            this.textBox3.Name = "textBox3";
            this.textBox3.ReadOnly = true;
            this.textBox3.Size = new Size(0xde, 20);
            this.textBox3.TabIndex = 13;
            this.textBox3.TabStop = false;
            this.label3.AutoSize = true;
            this.label3.Location = new Point(5, 0x43);
            this.label3.Name = "label3";
            this.label3.Size = new Size(70, 13);
            this.label3.TabIndex = 12;
            this.label3.Text = "New Version:";
            this.textBox4.Location = new Point(0x51, 90);
            this.textBox4.Name = "textBox4";
            this.textBox4.ReadOnly = true;
            this.textBox4.Size = new Size(0xde, 20);
            this.textBox4.TabIndex = 15;
            this.textBox4.TabStop = false;
            this.textBox4.Text = "3.6.0.0";
            this.label5.AutoSize = true;
            this.label5.Location = new Point(10, 0x5d);
            this.label5.Name = "label5";
            this.label5.Size = new Size(0x40, 13);
            this.label5.TabIndex = 14;
            this.label5.Text = "Old Version:";
            base.AutoScaleDimensions = new SizeF(6f, 13f);
            base.AutoScaleMode = AutoScaleMode.Font;
            base.ClientSize = new Size(0x13a, 0xd9);
            base.Controls.Add(this.textBox4);
            base.Controls.Add(this.label5);
            base.Controls.Add(this.textBox3);
            base.Controls.Add(this.label3);
            base.Controls.Add(this.textBox2);
            base.Controls.Add(this.label1);
            base.Controls.Add(this.textBox1);
            base.Controls.Add(this.txtSerial);
            base.Controls.Add(this.txtUsername);
            base.Controls.Add(this.label4);
            base.Controls.Add(this.label2);
            base.FormBorderStyle = FormBorderStyle.FixedSingle;
            base.Icon = (Icon) manager.GetObject("$this.Icon");
            base.MaximizeBox = false;
            base.MinimizeBox = false;
            base.Name = "helpAbout";
            base.StartPosition = FormStartPosition.CenterParent;
            this.Text = "About";
            base.Load += new EventHandler(this.About_Load);
            base.ResumeLayout(false);
            base.PerformLayout();
        }
    }
}

